/* outputWindow.C
 */


#include "outputWindow.h"


perspWindow *window;


void runWindow( void (*idleFunc)(void) )

{
#ifdef GL
  if (outputGraphics) {
    glutInitDisplayMode( GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH );
    window = new perspWindow( 0, 0, 1000, 500, "TTC", idleFunc );
    glutMainLoop();
  } else {
    while (true)
      idleFunc();
  }
#else
  while (true)
    idleFunc();
#endif
}
